import 'package:get/get.dart';
import 'package:making_school_asignment_app/common/job/knowledge_points_grasp.dart';
import 'package:making_school_asignment_app/common/utils/utils.dart';

class KnowledgePointsGraspState {
  KnowledgePointsGraspState() {
    ///Initialize variables
  }

  late int page = 1;
  late int totalPages = 0;
  late RxList<KnowledgePointsGrasp> dataList = RxList();
  late String dateStart = Utils.getWeekStartDate().toString().substring(0, 10);
  late String dateEnd = Utils.getWeekEndDate().toString().substring(0, 10);
  late RxString customTimeStr = '自定义'.obs;
  late final int? subject;
  late final String classId;
}
